Bug 43244 - Remove uses of CACFContextRef and CARender* from WebCore
: Remove uses of CACFContextRef and CARender* from WebCore
Status: RESOLVED FIXED
: WebKit
Layout and Rendering
: 528+ (Nightly build)
: PC Windows XP
: P2 Normal
Assigned To:
:
: InRadar, PlatformOnly
: 43248 47915
:
  Show dependency treegraph
 
Reported: 2010-07-30 06:01 PST by
Modified: 2010-10-20 00:48 PST (History)


Attachments
Patch (145.50 KB, patch)
2010-07-30 06:41 PST, Adam Roben (:aroben)
sam: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-07-30 06:01:19 PST
We shouldn't be using these classes directly in WebCore, as we soon won't have headers for them.
------- Comment #1 From 2010-07-30 06:01:31 PST -------
<rdar://problem/8251368>
------- Comment #2 From 2010-07-30 06:41:31 PST -------
Created an attachment (id=63057) [details]
Patch
------- Comment #3 From 2010-07-30 10:39:07 PST -------
Committed r64361: <http://trac.webkit.org/changeset/64361>
------- Comment #4 From 2010-07-30 11:20:37 PST -------
Also r64363: http://trac.webkit.org/changeset/64363

But then rolled out in r64364: http://trac.webkit.org/changeset/64364
------- Comment #5 From 2010-10-15 11:05:42 PST -------
Reopening since this was rolled out.
------- Comment #6 From 2010-10-20 00:47:56 PST -------
Committed r70129: <http://trac.webkit.org/changeset/70129>
------- Comment #7 From 2010-10-20 00:48:44 PST -------
And r70130: http://trac.webkit.org/changeset/70130